#ifndef __UDS_10SERVICE_Main_H
#define __UDS_10SERVICE_Main_H

#include "stdint.h"
#include "UDS_10Service_Filter.h"
#include "UDS_10Service_Internal.h"

void UDS_Service_10_Indication(uint32_t A_TA_type, uint16_t A_Length, uint8_t A_Data[]);
void UDS_10Service_Sub(void);
void UDS_10Service_Sub01(void);
void UDS_10Service_Sub02(void);
void UDS_10Service_Sub03(void);

#endif